Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 1975533002: Change ui::Event::time_stamp from TimeDelta to TimeTicks (Closed)

Created:
3 years, 5 months ago by majidvp
Modified:
3 years, 4 months ago
CC:
Aaron Boodman, abarth-chromium, ben+mojo_chromium.org, charliea (OOO until 10-5), chromium-reviews, danakj+watch_chromium.org, darin (slow to review), darin-cc_chromium.org, dcheng, dtapuska+chromiumwatch_chromium.org, feature-media-reviews_chromium.org, jam, jbauman+watch_chromium.org, kalyank, mcasas+watch+vc_chromium.org, miu+watch_chromium.org, nona+watch_chromium.org, oshima+watch_chromium.org, piman+watch_chromium.org, qsr+mojo_chromium.org, rjkroege, sadrul, shuchen+watch_chromium.org, sievers+watch_chromium.org, James Su, tdresser+watch_chromium.org, tfarina, viettrungluu+watch_chromium.org, yusukes+watch_chromium.org, yzshen+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Change ui::Event::time_stamp from TimeDelta to TimeTicks Event timestamp values are now consistently coming from the same clock as base::TimeTicks. Historically this was not the case in particular on Windows platform which is why we were using base::TimeDelta instead. Now that this has been addressed we should use base::TimeTicks to make it clear that these values are expected to come from the same clock and remove some crufty code. The changes in the CL are pretty simple and mechanical: - Introduce a pair of conversion functions in ui/events/base_event_utils.h to convert between WebInputEvent::timeStampSeconds (double) and ui::Event::timeStamp (TimeTicks) - TimeDelta() =>TimeTicks() - TimeDelta::FromMilliseconds(0) => base::TimeTicks() - TimeDelta::FromInternalValue(TimeTicks::Now().ToInternalValue()) => TimeTicks::Now() - TimeDelta::FromMilliseconds(Time::Now().ToDoubleT() * 1000) => TimeTicks::Now() - Time::NowFromSystemTime() - base::Time() => TimeTicks::Now() BUG=453559 Committed: https://crrev.com/9b3bda8e667c7e0767476cef4728ffa93f3efdc2 Cr-Commit-Position: refs/heads/master@{#398947}

Patch Set 1 #

Patch Set 2 : Updates #

Total comments: 2

Patch Set 3 : Update #

Patch Set 4 : Fix ozone #

Patch Set 5 : #

Patch Set 6 : Fix mac, win, wayland issues #

Patch Set 7 : Updated #

Patch Set 8 : #

Patch Set 9 : Fix gesture recognizer tests #

Total comments: 29

Patch Set 10 : Address feedback #

Patch Set 11 : Rebase #

Patch Set 12 : Fixes #

Patch Set 13 : Fix minor chromeos issue #

Patch Set 14 : Move assertions to a separate patch #

Patch Set 15 : Rebase #

Total comments: 4

Patch Set 16 : Address feedback comment #

Patch Set 17 : merge master #

Total comments: 2

Patch Set 18 : merge master + chromeos fix #

Patch Set 19 : minor fix #

Patch Set 20 : rebase and minor fixes #

Patch Set 21 : merge master #

Total comments: 2

Patch Set 22 : Address exo feedback and fix android issue #

Patch Set 23 : merge master #

Patch Set 24 : rebase and minor fix #

Patch Set 25 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+649 lines, -684 lines) Patch
M ash/drag_drop/drag_drop_controller_unittest.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M ash/keyboard_uma_event_filter.h View 1 chunk +1 line, -1 line 0 comments Download
M ash/keyboard_uma_event_filter.cc View 1 chunk +1 line, -1 line 0 comments Download
M ash/shelf/shelf_button_pressed_metric_tracker_unittest.cc View 1 3 chunks +4 lines, -5 lines 0 comments Download
M ash/shelf/shelf_view.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +1 line, -1 line 0 comments Download
M ash/shelf/shelf_view.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 4 chunks +8 lines, -8 lines 0 comments Download
M ash/system/chromeos/rotation/tray_rotation_lock_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +2 lines, -2 lines 0 comments Download
M ash/system/ime/tray_ime_chromeos_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 2 chunks +2 lines, -2 lines 0 comments Download
M ash/system/overview/overview_button_tray_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 3 chunks +5 lines, -5 lines 0 comments Download
M ash/system/toast/toast_manager_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +1 line, -1 line 0 comments Download
M ash/touch/touch_hud_debug.cc View 1 chunk +1 line, -1 line 0 comments Download
M ash/touch/touch_observer_hud_unittest.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M ash/touch/touch_uma.h View 1 chunk +1 line, -1 line 0 comments Download
M ash/touch/touch_uma.cc View 1 chunk +4 lines, -4 lines 0 comments Download
M ash/wm/gestures/overview_gesture_handler_unittest.cc View 1 1 chunk +1 line, -2 lines 0 comments Download
M ash/wm/system_gesture_event_filter_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 1 chunk +2 lines, -3 lines 0 comments Download
M ash/wm/window_manager_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 1 chunk +1 line, -1 line 0 comments Download
M base/time/time.h View 1 2 3 4 5 6 7 8 9 10 2 chunks +6 lines, -4 lines 0 comments Download
M base/time/time.cc View 1 1 chunk +0 lines, -5 lines 0 comments Download
M chrome/browser/chromeos/accessibility/touch_exploration_controller_browsertest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 4 chunks +4 lines, -7 lines 0 comments Download
M chrome/browser/chromeos/events/event_rewriter_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/ash/launcher/chrome_launcher_controller_browsertest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +1 line, -2 lines 0 comments Download
M chrome/browser/ui/views/ash/tab_scrubber_browsertest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +2 lines, -5 lines 0 comments Download
M chrome/browser/ui/views/desktop_capture/desktop_media_picker_views_unittest.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/views/desktop_media_picker_views_deprecated_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/ui/views/tabs/tab_drag_controller_interactive_uitest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +3 lines, -8 lines 0 comments Download
M chrome/browser/ui/views/tabs/tab_unittest.cc View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
M components/exo/keyboard_delegate.h View 1 chunk +1 line, -1 line 0 comments Download
M components/exo/keyboard_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download
M components/exo/pointer_delegate.h View 1 chunk +5 lines, -5 lines 0 comments Download
M components/exo/pointer_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +5 lines, -5 lines 0 comments Download
M components/exo/touch_delegate.h View 1 chunk +3 lines, -3 lines 0 comments Download
M components/exo/touch_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +3 lines, -3 lines 0 comments Download
M components/exo/wayland/server.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 7 chunks +36 lines, -28 lines 0 comments Download
M components/mus/ws/cursor_unittest.cc View 1 2 3 4 5 6 7 1 chunk +1 line, -1 line 0 comments Download
M components/mus/ws/display_unittest.cc View 1 2 3 4 5 6 7 1 chunk +1 line, -1 line 0 comments Download
M components/mus/ws/event_dispatcher_unittest.cc View 1 2 3 4 5 6 7 8 9 10 48 chunks +56 lines, -56 lines 0 comments Download
M components/mus/ws/event_matcher_unittest.cc View 1 1 chunk +2 lines, -2 lines 0 comments Download
M content/browser/android/content_view_core_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +3 lines, -2 lines 0 comments Download
M content/browser/media/capture/cursor_renderer_aura.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +1 line, -1 line 0 comments Download
M content/browser/media/capture/cursor_renderer_aura.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +1 line, -1 line 0 comments Download
M content/browser/media/capture/cursor_renderer_aura_unittest.cc View 1 chunk +1 line, -3 lines 0 comments Download
M content/browser/renderer_host/input/input_router_impl_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 4 chunks +3 lines, -4 lines 0 comments Download
M content/browser/renderer_host/render_widget_host_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +1 line, -1 line 0 comments Download
M content/browser/renderer_host/render_widget_host_view_aura.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +1 line, -1 line 0 comments Download
M content/browser/renderer_host/render_widget_host_view_aura_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 1 chunk +2 lines, -2 lines 0 comments Download
M content/browser/renderer_host/ui_events_helper.cc View 1 2 2 chunks +3 lines, -2 lines 0 comments Download
M content/browser/renderer_host/web_input_event_aura.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 7 chunks +17 lines, -11 lines 0 comments Download
M content/browser/renderer_host/web_input_event_aura_unittest.cc View 17 chunks +36 lines, -24 lines 0 comments Download
M content/browser/renderer_host/web_input_event_aurawin.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 2 chunks +10 lines, -7 lines 0 comments Download
M content/browser/web_contents/web_contents_view_aura_browsertest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 4 chunks +4 lines, -4 lines 0 comments Download
M content/common/input/synthetic_web_input_event_builders.h View 1 2 3 4 5 6 7 1 chunk +1 line, -1 line 0 comments Download
M content/common/input/synthetic_web_input_event_builders.cc View 1 2 3 4 5 6 7 2 chunks +3 lines, -3 lines 0 comments Download
M content/public/test/browser_test_utils.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 1 chunk +1 line, -1 line 0 comments Download
M mojo/converters/blink/blink_input_events_type_converters.cc View 6 chunks +6 lines, -10 lines 0 comments Download
M mojo/converters/blink/blink_input_events_type_converters_unittest.cc View 1 3 chunks +3 lines, -3 lines 0 comments Download
M ui/aura/gestures/gesture_recognizer_unittest.cc View 1 2 3 4 5 6 7 8 5 chunks +17 lines, -15 lines 0 comments Download
M ui/aura/window_event_dispatcher_unittest.cc View 1 2 3 4 5 6 7 2 chunks +2 lines, -2 lines 0 comments Download
M ui/aura/window_unittest.cc View 1 2 chunks +2 lines, -2 lines 0 comments Download
M ui/base/user_activity/user_activity_detector.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +3 lines, -3 lines 0 comments Download
M ui/base/user_activity/user_activity_detector_unittest.cc View 1 2 chunks +4 lines, -8 lines 0 comments Download
M ui/chromeos/touch_exploration_controller.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +1 line, -1 line 0 comments Download
M ui/chromeos/touch_exploration_controller.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 2 chunks +4 lines, -6 lines 0 comments Download
M ui/chromeos/touch_exploration_controller_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 2 chunks +4 lines, -5 lines 0 comments Download
M ui/events/base_event_utils.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +15 lines, -0 lines 0 comments Download
M ui/events/base_event_utils.cc View 1 2 2 chunks +9 lines, -0 lines 0 comments Download
M ui/events/blink/blink_event_util.h View 1 chunk +1 line, -1 line 0 comments Download
M ui/events/blink/blink_event_util.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 4 chunks +5 lines, -5 lines 0 comments Download
M ui/events/blink/blink_event_util_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +5 lines, -2 lines 0 comments Download
M ui/events/cocoa/events_mac.mm View 1 2 3 4 5 6 7 8 9 10 11 12 13 2 chunks +4 lines, -3 lines 0 comments Download
M ui/events/event.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 11 chunks +13 lines, -13 lines 0 comments Download
M ui/events/event.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 11 chunks +14 lines, -17 lines 0 comments Download
M ui/events/event_rewriter_unittest.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M ui/events/event_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 11 chunks +16 lines, -16 lines 0 comments Download
M ui/events/event_utils.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 15 16 17 2 chunks +5 lines, -3 lines 0 comments Download
M ui/events/event_utils.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 15 16 17 2 chunks +4 lines, -5 lines 0 comments Download
M ui/events/events_default.cc View 1 chunk +1 line, -1 line 0 comments Download
M ui/events/events_stub.cc View 1 2 3 1 chunk +2 lines, -2 lines 0 comments Download
M ui/events/gestures/gesture_provider_aura.cc View 1 2 3 4 5 6 7 1 chunk +2 lines, -3 lines 0 comments Download
M ui/events/gestures/gesture_provider_aura_unittest.cc View 1 2 3 4 5 6 7 3 chunks +3 lines, -3 lines 0 comments Download
M ui/events/gestures/motion_event_aura.cc View 1 2 3 4 5 6 7 1 chunk +1 line, -1 line 0 comments Download
M ui/events/gestures/motion_event_aura_unittest.cc View 1 2 3 4 5 6 7 3 chunks +9 lines, -12 lines 0 comments Download
M ui/events/mojo/event_struct_traits.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +1 line, -1 line 0 comments Download
M ui/events/mojo/struct_traits_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 2 chunks +9 lines, -9 lines 0 comments Download
M ui/events/ozone/evdev/device_event_dispatcher_evdev.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 10 chunks +14 lines, -14 lines 0 comments Download
M ui/events/ozone/evdev/device_event_dispatcher_evdev.cc View 1 2 3 7 chunks +7 lines, -7 lines 0 comments Download
M ui/events/ozone/evdev/event_converter_evdev.h View 1 2 3 1 chunk +2 lines, -2 lines 0 comments Download
M ui/events/ozone/evdev/event_converter_evdev.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 2 chunks +5 lines, -3 lines 0 comments Download
M ui/events/ozone/evdev/event_converter_evdev_impl.h View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -2 lines 0 comments Download
M ui/events/ozone/evdev/event_converter_evdev_impl.cc View 1 2 3 4 5 6 7 8 9 6 chunks +8 lines, -8 lines 0 comments Download
M ui/events/ozone/evdev/keyboard_evdev.h View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
M ui/events/ozone/evdev/keyboard_evdev.cc View 1 2 3 4 5 6 7 2 chunks +2 lines, -2 lines 0 comments Download
M ui/events/ozone/evdev/libgestures_glue/gesture_interpreter_libevdev_cros.cc View 1 2 3 4 5 10 chunks +12 lines, -12 lines 0 comments Download
M ui/events/ozone/evdev/tablet_event_converter_evdev.cc View 1 2 3 2 chunks +2 lines, -2 lines 0 comments Download
M ui/events/ozone/evdev/touch_event_converter_evdev.h View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -2 lines 0 comments Download
M ui/events/ozone/evdev/touch_event_converter_evdev.cc View 1 2 3 4 5 6 7 8 9 4 chunks +5 lines, -5 lines 0 comments Download
M ui/events/ozone/evdev/touch_event_converter_evdev_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 13 chunks +14 lines, -14 lines 0 comments Download
M ui/events/ozone/evdev/touch_noise/far_apart_taps_touch_noise_filter.h View 1 2 3 4 5 6 7 8 9 1 chunk +5 lines, -5 lines 0 comments Download
M ui/events/ozone/evdev/touch_noise/far_apart_taps_touch_noise_filter.cc View 1 2 3 1 chunk +2 lines, -2 lines 0 comments Download
M ui/events/ozone/evdev/touch_noise/horizontally_aligned_touch_noise_filter.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M ui/events/ozone/evdev/touch_noise/horizontally_aligned_touch_noise_filter.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M ui/events/ozone/evdev/touch_noise/single_position_touch_noise_filter.h View 1 2 3 4 3 chunks +4 lines, -4 lines 0 comments Download
M ui/events/ozone/evdev/touch_noise/single_position_touch_noise_filter.cc View 1 2 3 2 chunks +3 lines, -3 lines 0 comments Download
M ui/events/ozone/evdev/touch_noise/touch_noise_filter.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M ui/events/ozone/evdev/touch_noise/touch_noise_finder.h View 1 2 3 2 chunks +3 lines, -3 lines 0 comments Download
M ui/events/ozone/evdev/touch_noise/touch_noise_finder.cc View 1 2 3 2 chunks +2 lines, -2 lines 0 comments Download
M ui/events/ozone/evdev/touch_noise/touch_noise_finder_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +2 lines, -2 lines 0 comments Download
M ui/events/test/event_generator.h View 1 chunk +1 line, -1 line 0 comments Download
M ui/events/test/event_generator.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 10 chunks +16 lines, -14 lines 0 comments Download
M ui/events/test/events_test_utils.h View 1 chunk +1 line, -1 line 0 comments Download
M ui/events/test/events_test_utils_x11.cc View 1 chunk +1 line, -1 line 0 comments Download
M ui/events/win/events_win.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +1 line, -1 line 0 comments Download
M ui/events/x/events_x.cc View 1 chunk +1 line, -1 line 0 comments Download
M ui/events/x/events_x_utils.h View 1 chunk +1 line, -1 line 0 comments Download
M ui/events/x/events_x_utils.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 5 chunks +17 lines, -20 lines 0 comments Download
M ui/message_center/views/message_center_view_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 2 chunks +5 lines, -7 lines 0 comments Download
M ui/message_center/views/notification_view_unittest.cc View 1 2 3 4 5 6 7 8 9 10 2 chunks +2 lines, -2 lines 0 comments Download
M ui/platform_window/android/platform_window_android.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +4 lines, -3 lines 0 comments Download
M ui/views/controls/button/custom_button_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +1 line, -2 lines 0 comments Download
M ui/views/controls/menu/menu_controller.h View 1 chunk +1 line, -0 lines 0 comments Download
M ui/views/controls/menu/menu_controller.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -1 line 0 comments Download
M ui/views/controls/menu/menu_runner_cocoa_unittest.mm View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 2 chunks +3 lines, -2 lines 0 comments Download
M ui/views/controls/menu/menu_runner_impl_cocoa.mm View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M ui/views/controls/table/table_view_unittest.cc View 1 2 chunks +3 lines, -9 lines 0 comments Download
M ui/views/controls/textfield/textfield.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +1 line, -1 line 0 comments Download
M ui/views/controls/textfield/textfield_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +1 line, -1 line 0 comments Download
M ui/views/corewm/desktop_capture_controller_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +1 line, -4 lines 0 comments Download
M ui/views/mus/native_widget_mus_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 1 chunk +1 line, -1 line 0 comments Download
M ui/views/mus/window_manager_connection_unittest.cc View 1 1 chunk +2 lines, -2 lines 0 comments Download
M ui/views/touchui/touch_selection_controller_impl_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 8 chunks +7 lines, -8 lines 0 comments Download
M ui/views/view_targeter_unittest.cc View 1 1 chunk +2 lines, -2 lines 0 comments Download
M ui/views/widget/desktop_aura/desktop_drag_drop_client_aurax11.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +1 line, -1 line 0 comments Download
M ui/views/widget/desktop_aura/desktop_drag_drop_client_aurax11.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 2 chunks +3 lines, -2 lines 0 comments Download
M ui/views/widget/desktop_aura/desktop_window_tree_host_x11.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +1 line, -1 line 0 comments Download
M ui/views/widget/desktop_aura/x11_desktop_window_move_client.h View 1 chunk +1 line, -1 line 0 comments Download
M ui/views/widget/desktop_aura/x11_desktop_window_move_client.cc View 1 chunk +3 lines, -4 lines 0 comments Download
M ui/views/widget/desktop_aura/x11_move_loop_delegate.h View 1 chunk +1 line, -1 line 0 comments Download
M ui/views/widget/root_view_unittest.cc View 1 6 chunks +18 lines, -36 lines 0 comments Download
M ui/views/widget/widget_interactive_uitest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +2 lines, -8 lines 0 comments Download
M ui/views/widget/widget_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 4 chunks +9 lines, -30 lines 0 comments Download
M ui/views/win/hwnd_message_handler.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +2 lines, -4 lines 0 comments Download
M ui/views/win/hwnd_message_handler.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 4 chunks +5 lines, -7 lines 0 comments Download
M ui/wm/core/capture_controller_unittest.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M ui/wm/core/compound_event_filter_unittest.cc View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 64 (23 generated)
majidvp
https://codereview.chromium.org/1975533002/diff/20001/ash/touch/touch_hud_debug.cc File ash/touch/touch_hud_debug.cc (right): https://codereview.chromium.org/1975533002/diff/20001/ash/touch/touch_hud_debug.cc#newcode99 ash/touch/touch_hud_debug.cc:99: timestamp((touch.time_stamp() - base::TimeTicks()).InMillisecondsF()), This is the pattern I use ...
3 years, 5 months ago (2016-05-16 12:49:50 UTC) #3
miu
Hey. Saw this change come up on one of my watchlists. Some comments: https://codereview.chromium.org/1975533002/diff/160001/ash/shelf/shelf_view.cc File ...
3 years, 5 months ago (2016-05-16 20:05:35 UTC) #6
majidvp
> Hey. Saw this change come up on one of my watchlists. Thanks for drive ...
3 years, 5 months ago (2016-05-21 01:38:00 UTC) #7
majidvp
miu@: PTAL. + sadrul@: Please review the proposed changes.
3 years, 4 months ago (2016-05-24 15:47:06 UTC) #9
majidvp
https://codereview.chromium.org/1975533002/diff/160001/ui/events/ozone/evdev/event_converter_evdev.cc File ui/events/ozone/evdev/event_converter_evdev.cc (right): https://codereview.chromium.org/1975533002/diff/160001/ui/events/ozone/evdev/event_converter_evdev.cc#newcode149 ui/events/ozone/evdev/event_converter_evdev.cc:149: return ui::EventTimeStampFromSeconds(event.time.tv_sec) + On 2016/05/21 01:38:00, majidvp wrote: > ...
3 years, 4 months ago (2016-05-24 21:01:38 UTC) #11
miu
lgtm % minor things. Good stuff! :) https://codereview.chromium.org/1975533002/diff/160001/ash/shelf/shelf_view.cc File ash/shelf/shelf_view.cc (right): https://codereview.chromium.org/1975533002/diff/160001/ash/shelf/shelf_view.cc#newcode1880 ash/shelf/shelf_view.cc:1880: return (delta.InMilliseconds() ...
3 years, 4 months ago (2016-05-25 01:42:32 UTC) #12
sadrul
One nit, one comment. lgtm https://codereview.chromium.org/1975533002/diff/280001/ui/views/controls/menu/menu_runner_cocoa_unittest.mm File ui/views/controls/menu/menu_runner_cocoa_unittest.mm (right): https://codereview.chromium.org/1975533002/diff/280001/ui/views/controls/menu/menu_runner_cocoa_unittest.mm#newcode168 ui/views/controls/menu/menu_runner_cocoa_unittest.mm:168: TEST_F(MenuRunnerCocoaTest, RunMenkjuAndCancel) { unrename? ...
3 years, 4 months ago (2016-05-25 20:22:11 UTC) #13
majidvp
sadrul@, miu@: Thanks for review. https://codereview.chromium.org/1975533002/diff/160001/ash/shelf/shelf_view.cc File ash/shelf/shelf_view.cc (right): https://codereview.chromium.org/1975533002/diff/160001/ash/shelf/shelf_view.cc#newcode1880 ash/shelf/shelf_view.cc:1880: return (delta.InMilliseconds() == 0); ...
3 years, 4 months ago (2016-05-27 14:34:16 UTC) #14
majidvp
+reveman@: For components/exo review +sky@: For components/mus, ash/, ui/views, mojo/converters review
3 years, 4 months ago (2016-05-27 14:40:10 UTC) #16
sky
Meta question. Is timeticks going to be roughly the same across processes?
3 years, 4 months ago (2016-05-27 15:51:36 UTC) #17
sky
https://codereview.chromium.org/1975533002/diff/320001/ui/views/controls/menu/menu_runner_impl_cocoa.mm File ui/views/controls/menu/menu_runner_impl_cocoa.mm (right): https://codereview.chromium.org/1975533002/diff/320001/ui/views/controls/menu/menu_runner_impl_cocoa.mm#newcode98 ui/views/controls/menu/menu_runner_impl_cocoa.mm:98: closing_event_time_(base::TimeDelta()) { Change to TimeTicks?
3 years, 4 months ago (2016-05-27 15:56:03 UTC) #18
majidvp
On 2016/05/27 15:51:36, sky wrote: > Meta question. Is timeticks going to be roughly the ...
3 years, 4 months ago (2016-05-27 16:45:38 UTC) #19
sky
Do we use said function in IPCs with timestamps? On Fri, May 27, 2016 at ...
3 years, 4 months ago (2016-05-27 16:47:30 UTC) #20
majidvp
https://codereview.chromium.org/1975533002/diff/320001/ui/views/controls/menu/menu_runner_impl_cocoa.mm File ui/views/controls/menu/menu_runner_impl_cocoa.mm (right): https://codereview.chromium.org/1975533002/diff/320001/ui/views/controls/menu/menu_runner_impl_cocoa.mm#newcode98 ui/views/controls/menu/menu_runner_impl_cocoa.mm:98: closing_event_time_(base::TimeDelta()) { On 2016/05/27 15:56:03, sky wrote: > Change ...
3 years, 4 months ago (2016-05-27 16:49:22 UTC) #21
majidvp
On 2016/05/27 16:47:30, sky wrote: > Do we use said function in IPCs with timestamps? ...
3 years, 4 months ago (2016-05-27 17:53:43 UTC) #22
majidvp
On 2016/05/27 17:53:43, majidvp wrote: > On 2016/05/27 16:47:30, sky wrote: > > Do we ...
3 years, 4 months ago (2016-05-30 14:19:34 UTC) #23
sky
On Mon, May 30, 2016 at 7:19 AM, <majidvp@chromium.org> wrote: > On 2016/05/27 17:53:43, majidvp ...
3 years, 4 months ago (2016-05-31 17:57:34 UTC) #25
majidvp
On 2016/05/31 17:57:34, sky wrote: > On Mon, May 30, 2016 at 7:19 AM, <mailto:majidvp@chromium.org> ...
3 years, 4 months ago (2016-06-01 21:08:13 UTC) #26
sky
LGTM
3 years, 4 months ago (2016-06-01 21:13:04 UTC) #27
majidvp
+ tdresse@r: for content/common/input review + danakj@: for base/time review
3 years, 4 months ago (2016-06-02 20:11:17 UTC) #29
danakj
On Thu, Jun 2, 2016 at 1:11 PM, <majidvp@chromium.org> wrote: > + tdresse@r: for content/common/input ...
3 years, 4 months ago (2016-06-02 20:18:22 UTC) #30
majidvp
On 2016/06/02 20:18:22, danakj wrote: > On Thu, Jun 2, 2016 at 1:11 PM, <mailto:majidvp@chromium.org> ...
3 years, 4 months ago (2016-06-02 21:04:30 UTC) #31
danakj
Ah yah, thanks. That seems ok given is_max() it already has this notion. LGTM
3 years, 4 months ago (2016-06-02 21:10:24 UTC) #32
reveman
https://codereview.chromium.org/1975533002/diff/400001/components/exo/wayland/server.cc File components/exo/wayland/server.cc (right): https://codereview.chromium.org/1975533002/diff/400001/components/exo/wayland/server.cc#newcode112 components/exo/wayland/server.cc:112: int64_t InMilliseconds(base::TimeTicks ticks) { Can you make this "uint32_t ...
3 years, 4 months ago (2016-06-03 13:06:00 UTC) #33
majidvp
https://codereview.chromium.org/1975533002/diff/400001/components/exo/wayland/server.cc File components/exo/wayland/server.cc (right): https://codereview.chromium.org/1975533002/diff/400001/components/exo/wayland/server.cc#newcode112 components/exo/wayland/server.cc:112: int64_t InMilliseconds(base::TimeTicks ticks) { On 2016/06/03 13:06:00, reveman wrote: ...
3 years, 4 months ago (2016-06-03 19:14:21 UTC) #34
majidvp
+yfriedman@: please review content/browser/android/content_view_core_impl.cc
3 years, 4 months ago (2016-06-03 19:16:14 UTC) #36
reveman
On 2016/06/03 at 19:14:21, majidvp wrote: > https://codereview.chromium.org/1975533002/diff/400001/components/exo/wayland/server.cc > File components/exo/wayland/server.cc (right): > > https://codereview.chromium.org/1975533002/diff/400001/components/exo/wayland/server.cc#newcode112 ...
3 years, 4 months ago (2016-06-03 19:19:44 UTC) #37
majidvp
yfiedman@, tdresser@: friendly ping!
3 years, 4 months ago (2016-06-06 14:06:06 UTC) #38
tdresser
content/common/input LGTM
3 years, 4 months ago (2016-06-06 14:46:20 UTC) #39
majidvp
-yfriedman@: OOO +skyostil@: Please review content/browser/android/content_view_core_impl.cc
3 years, 4 months ago (2016-06-06 14:50:32 UTC) #41
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1975533002/420001
3 years, 4 months ago (2016-06-06 14:51:28 UTC) #43
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: android_compile_dbg on tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_compile_dbg/builds/77128) cast_shell_android on ...
3 years, 4 months ago (2016-06-06 14:56:06 UTC) #45
Sami
Sorry for the delay. content/browser/android/content_view_core_impl.cc lgtm -- thanks for the cleanup!
3 years, 4 months ago (2016-06-08 15:28:43 UTC) #46
majidvp
On 2016/06/08 15:28:43, Sami wrote: > Sorry for the delay. > > content/browser/android/content_view_core_impl.cc lgtm -- ...
3 years, 4 months ago (2016-06-08 16:26:29 UTC) #47
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1975533002/440001
3 years, 4 months ago (2016-06-08 16:27:23 UTC) #50
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_android on tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/cast_shell_android/builds/78420) cast_shell_linux on tryserver.chromium.linux (JOB_FAILED, ...
3 years, 4 months ago (2016-06-08 16:41:49 UTC) #52
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1975533002/460001
3 years, 4 months ago (2016-06-09 13:12:11 UTC) #55
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/197966) linux_chromium_asan_rel_ng on tryserver.chromium.linux (JOB_FAILED, ...
3 years, 4 months ago (2016-06-09 13:19:35 UTC) #57
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1975533002/480001
3 years, 4 months ago (2016-06-09 18:03:57 UTC) #60
commit-bot: I haz the power
Committed patchset #25 (id:480001)
3 years, 4 months ago (2016-06-09 18:12:27 UTC) #62
commit-bot: I haz the power
3 years, 4 months ago (2016-06-09 18:17:29 UTC) #64
Message was sent while issue was closed.
Patchset 25 (id:??) landed as
https://crrev.com/9b3bda8e667c7e0767476cef4728ffa93f3efdc2
Cr-Commit-Position: refs/heads/master@{#398947}

Powered by Google App Engine
This is Rietveld 408576698